<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Mascotas</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:growl id="msj"/>
                <p:fieldset legend="Agregar Mascota" style="margin-bottom:10px">
                    <h:form id="datos">
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Mascota" style="margin-right:50px;"/>
                            <p:inputText value="#{mascotaController.mascota.especie}"/>

                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"  rendered="#{mascotaController.mascota.especie==null}" value="Registrar" actionListener="#{mascotaController.insertar()}"  update=":datos :msj :tabla"/>
                            </div>
                            <p:commandButton icon="pi pi-times"  rendered="#{mascotaController.mascota.especie!=null}" value="Cancelar" actionListener="#{mascotaController.init()}"  update=":datos :msj :tabla"/>
                            <p:commandButton icon="pi pi-refresh"  rendered="#{mascotaController.mascota.especie!=null}" value="Actualizar" actionListener="#{mascotaController.editar()}"  update=":msj :tabla :datos"/>
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>

                <p:fieldset legend="Listado de Mascotas">
                    <h:form id="tabla" class="dosColumnas">
                        <p:dataTable value="#{mascotaController.listamascota}" var="m" paginator="true" rows="5" style="width: 80%; margin: auto">

                            <p:column headerText="Especie">
                                <p:outputLabel value="#{m.especie}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{mascotaController.eliminar(m)}" update=":datos :tabla :msj"/> 
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{mascotaController.consultarById(m)}" update=":datos"/>                        
                                </div>                         
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

